summaryrefslogtreecommitdiffstats
path: root/openwrt/package/snort/ipkg/snort.init
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-04-18 06:41:36 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-04-18 06:41:36 +0000
commit7eaccfbb4e6544d4af3e389c1020e76d95f89fe6 (patch)
tree7447f09ef9421fb72eadde3de35efc00f30e37d1 /openwrt/package/snort/ipkg/snort.init
parentb10d5eeac9f5b4d71e7568e38a0f1ee4be704841 (diff)
Add snort package, with experimental -custom package for build-time package customizations
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@667 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/snort/ipkg/snort.init')
-rw-r--r--openwrt/package/snort/ipkg/snort.init23
1 files changed, 23 insertions, 0 deletions
diff --git a/openwrt/package/snort/ipkg/snort.init b/openwrt/package/snort/ipkg/snort.init
new file mode 100644
index 000000000..8c019c41d
--- /dev/null
+++ b/openwrt/package/snort/ipkg/snort.init
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+DEFAULT=/etc/default/snort
+LOG_D=/var/log/snort
+RUN_D=/var/run
+[ -f $DEFAULT ] && . $DEFAULT
+PID_F=$RUN_D/snort_$INTERFACE.pid
+
+case $1 in
+ start)
+ [ -d $LOG_D ] || mkdir -p $LOG_D
+ [ -d $RUN_D ] || mkdir -p $RUN_D
+ snort $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?